> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/static-sport-event-information/result-changes-endpoint.md).

# Result Changes Endpoint

### About the Endpoint <a href="#uofapiresultchangesendpoint-abouttheendpoint" id="uofapiresultchangesendpoint-abouttheendpoint"></a>

**Endpoint PATH**

```
/sports/{language}/results/changes.xml
```

**Endpoint Description**

The *Result changes* endpoint returns list the IDs of all fixtures that have changed results starting from a specified datetime to the time when the endpoint is called.

Filters / Endpoint parameters are available to insert a date and the API will return all the result changes from that date onwards. When the optional parameters (afterDateTime and SportId) are not specified the endpoint returns all the fixtures that have changed results in the last 24 hrs for all the sports.

Upon calling this endpoint, it will return a list of XML elements with the ID of the Sport Event and the Timestamp of the result change.

Once the customer is aware of the result change, *Timeline* and *Summary* API endpoints can be used to retrieve detailed information.

**Endpoint Parameters**

You can customize the endpoint response by using the following parameters.

| Parameter                                                        | Description                                                                                                                                                 | Possible Values                                                                                          |
| ---------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| <p><em>language</em></p><p><strong>Required</strong></p>         | Language code for translation.                                                                                                                              | See all supported languages and their codes on [language support](/uof/introduction/language-support.md) |
| <p><em>afterDateTime</em></p><p><strong>Optional</strong></p>    | the datetime after which you want the fixture changes. The endpoint returns all the fixture changes from such a date onwards (till the timing of the call). | <p>ISODate format (YYYY-MM-DDThh:mm:ss).</p><p>E.g: 2023-05-29T12:05:00</p>                              |
| <p><em>sportId</em></p><p><em><strong>Optional</strong></em></p> | The id of the sport you want the fixture changes for.                                                                                                       | <p>Format - sr:sport:{id}</p><p>E.g: sr:sport:1</p>                                                      |

### Endpoint Structure <a href="#uofapiresultchangesendpoint-endpointstructure" id="uofapiresultchangesendpoint-endpointstructure"></a>

The main elements and sub-elements provided by the Fixture endpoints are the ones shown in the list below:

* \<result\_changes>
  * <[result\_change](/uof/api-and-structure/api/static-sport-event-information/result-changes-endpoint.md)>

### Attributes Explained <a href="#uofapiresultchangesendpoint-attributesexplained" id="uofapiresultchangesendpoint-attributesexplained"></a>

The following attributes are found in the *fixture change element*.

| Name               | Description                                           |
| ------------------ | ----------------------------------------------------- |
| *sport\_event\_id* | the unique id assigned to the sport event by SR       |
| *update\_time*     | the date and time when the fixture is updated/changed |

### &#x20;<a href="#uofapiresultchangesendpoint-xmlexample" id="uofapiresultchangesendpoint-xmlexample"></a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/static-sport-event-information/result-changes-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
